Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.util
Class DefaultTransformer

    java.lang.Object
      org.apache.commons.math.util.DefaultTransformer

All Implemented Interfaces:
  Serializable, NumberTransformer

    public class DefaultTransformer

extends Object
implements NumberTransformer, Serializable

A Default NumberTransformer for java.lang.Numbers and Numeric Strings. This provides some simple conversion capabilities to turn any java.lang.Number into a primitive double or to turn a String representation of a Number into a double.

Version:
  $Revision: 1073658 $ $Date: 2011-02-23 10:45:42 +0100 (mer. 23 fÃ©vr. 2011) $
See Also:
  Serialized Form

Constructor Summary
`DefaultTransformer()`

Method Summary
`boolean` | `equals(Object other)`
`int` | `hashCode()`
`double` | `transform(Object o)` Implementing this interface provides a facility to transform from Object to Double.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTransformer

    public DefaultTransformer()

Method Detail

### transform

    public double transform(Object o)
                     throws MathException

  Description copied from interface: `NumberTransformer`
  Implementing this interface provides a facility to transform from Object to Double.

  Specified by:
    `transform` in interface `NumberTransformer`
  Parameters:
    `o` - the object that gets transformed.
  Returns:
    a double primitive representation of the Object o.
  Throws:
    `MathException` - if it cannot successfully be transformed.
  See Also:
    Commons Collections Transformer

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.